<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_library.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Library Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_library.html">Library</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#ae18b352bb538f8f7bbef5eba963feec6">addBook</a>(SmartPointer&lt; Book &gt; book)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#ad6479360c5ecb4592ab7df4cedc1d331">addUser</a>(SmartPointer&lt; User &gt; user)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#a983f569333bcca8e312e28faf4c31299">editBook</a>(SmartPointer&lt; Book &gt; oldBook, SmartPointer&lt; Book &gt; newBook)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#ad102e94fb61ef4db352769970c470ffe">editUser</a>(SmartPointer&lt; User &gt; oldUser, SmartPointer&lt; User &gt; newUser)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#a1e4254bc287282e010057c3e5badb43b">findBook</a>(SmartPointer&lt; Book &gt; book) const </td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#a525d14bedae90669616814e7bc8b64d2">findUser</a>(SmartPointer&lt; User &gt; user) const </td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#a4111051c1f0968c5663bb7fd0fef6f44">getAdmins</a>() const </td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#a77968b77aab5078fad2e3a8149f29c74">getBooks</a>() const </td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#a973b2ab462d6c953575f0b2da93e4d96">getUsers</a>() const </td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#a9b67293035c9287e553fdf375c2c07d4">isBookInDatabase</a>(Book book) const </td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#a578ce2622f10276289f4818f745ab67e">isUserInDatabase</a>(User user) const </td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#a82338219d8bf51962ff5f60a0db21b19">Library</a>()</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#af4712d4a4733c5e2848129756f3396a4">Library</a>(const Library &amp;l)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#a1422cce38ba96fdfc0f552bf9f557420">operator&lt;&lt;</a>(std::ostream &amp;out, const Library &amp;library)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#aecea69f7dd7e339fe8fee2361611ee68">operator&lt;&lt;</a>(std::ostream &amp;out, const Library *library)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#a553976ddb2812ca85f16d98e747e7e69">removeBook</a>(SmartPointer&lt; Book &gt; book)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_library.html#a237a223c72cc9c46efbc70b05bfc4067">removeUser</a>(SmartPointer&lt; User &gt; user)</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_library.html#a62120f28a9b50cc5b151d868e42ab936">~Library</a>()</td><td class="entry"><a class="el" href="class_library.html">Library</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
